Bug 522729 - Crash in gnome-settings-daemon after resume from suspend
Summary: Crash in gnome-settings-daemon after resume from suspend
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 08:22 UTC by Christopher Beland
Modified: 2010-06-28 14:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:35:34 UTC


Attachments (Terms of Use)

Description Christopher Beland 2009-09-11 08:22:17 UTC
Bug Buddy caught this crash in gnome-settings-daemon-2.26.1-10.fc11.i586.  Oddly, it seems to have caused desktop sound effects to become enabled until after I rebooted, even though they are disabled in Sound Preferences.

I got the crash notification just after resuming from a laptop suspend.


System: Linux 2.6.30.5-43.fc11.i586 #1 SMP Thu Aug 27 21:18:54 EDT 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10603000
Selinux: Permissive
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora
GTK+ Modules: canberra-gtk-module, pk-gtk-module, gnomebreakpad

Memory status: size: 124563456 vsize: 124563456 resident: 4218880 share: 3190784 rss: 4218880 rss_rlim: 18446744073709551615
CPU usage: start_time: 1252610631 rtime: 52 utime: 32 stime: 20 cutime:1 cstime: 2 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/libexec/gnome-settings-daemon'

[Thread debugging using libthread_db enabled]
[New Thread 0xb7d9eb70 (LWP 1845)]
__kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
16		ret
Current language:  auto; currently asm
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
#1  0x0041ce7b in waitpid () from /lib/libc.so.6
#2  0x0445b27f in IA__g_spawn_sync (working_directory=0x0, argv=0xa037fc8, 
    envp=0x0, flags=G_SPAWN_SEARCH_PATH, child_setup=0, user_data=0x0, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0xbfb4bccc) at gspawn.c:386
#3  0x0445b58c in IA__g_spawn_command_line_sync (
    command_line=0xa036a50 "bug-buddy --appname=\"gnome-settings-daemon\" --include=\"/tmp/bug-buddy-JUXZZU\" --unlink-tempfile --pid=1839", 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0xbfb4bccc) at gspawn.c:700
#4  0x001a33cc in run_bug_buddy (appname=<value optimized out>, 
    pid=<value optimized out>, minidump_path=0x0) at gnome-breakpad.cc:409
#5  0x001a3dc2 in check_if_gdb () at gnome-breakpad.cc:480
#6  bugbuddy_segv_handle () at gnome-breakpad.cc:223
#7  <signal handler called>
#8  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
#9  0x003aa7c1 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#10 0x003ac092 in *__GI_abort () at abort.c:88
#11 0x0442c733 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, format=0x7be2113 "%s", args1=0xbfb4c96c "")
    at gmessages.c:506
#12 0x0442c766 in IA__g_log (log_domain=0x7bc5274 "Gdk", 
    log_level=G_LOG_LEVEL_ERROR, format=0x7be2113 "%s") at gmessages.c:526
#13 0x07bacf11 in gdk_x_error (display=0x9f86200, error=0xbfb4cb2c)
    at gdkmain-x11.c:641
#14 0x04e69e78 in xkl_process_error (dpy=0x9f86200, evt=0xbfb4cb2c)
    at xklavier_evt.c:503
#15 0x006fc389 in _XError (dpy=0x9f86200, rep=0xa035ab8) at XlibInt.c:2924
#16 0x007030ee in _XReply (dpy=0x9f86200, rep=0xbfb4cc2c, extra=0, discard=0)
    at xcb_io.c:506
#17 0x005cd181 in XGetDeviceButtonMapping (dpy=0x9f86200, device=0xa0365e8, 
    map=0x9fd4870 "\1\2\3\4\5\227\373\tn-errors\30", nmap=16) at XGetBMap.c:92
#18 0x00e1b43c in set_xinput_devices_left_handed (
    left_handed=<value optimized out>) at gsd-mouse-manager.c:307
#19 set_left_handed (left_handed=<value optimized out>)
    at gsd-mouse-manager.c:388
#20 0x00e1c140 in set_mouse_settings (manager=0x9f85768)
    at gsd-mouse-manager.c:926
#21 0x00e1c29c in devicepresence_filter (xevent=0xbfb4cfac, event=0x9fc0648, 
    data=0x9f85768) at gsd-mouse-manager.c:347
#22 0x07b9fa13 in gdk_event_apply_filters (filters=<value optimized out>, 
    event=<value optimized out>, xevent=<value optimized out>)
    at gdkevents-x11.c:349
#23 gdk_event_translate (filters=<value optimized out>, 
    event=<value optimized out>, xevent=<value optimized out>)
    at gdkevents-x11.c:900
#24 0x07ba23d9 in _gdk_events_queue (display=0x9f910b0)
    at gdkevents-x11.c:2301
#25 0x07ba28ff in gdk_event_dispatch (source=0x9f99d58, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2361
#26 0x04422308 in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1824
#27 IA__g_main_context_dispatch (context=<value optimized out>)
    at gmain.c:2377
#28 0x044259e0 in g_main_context_iterate (context=0x9f99da0, 
    block=<value optimized out>, dispatch=1, self=0x9f735c8) at gmain.c:2455
#29 0x04425e4f in IA__g_main_loop_run (loop=0x9fd5300) at gmain.c:2663
#30 0x0213fc09 in IA__gtk_main () at gtkmain.c:1205
#31 0x0804b715 in main (argc=1, argv=0xbfb4d304) at main.c:489

Thread 2 (Thread 0xb7d9eb70 (LWP 1845)):
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
No locals.
#1  0x0044dd1b in read () from /lib/libc.so.6
No locals.
#2  0x0442326a in read (__nbytes=<value optimized out>, 
    __buf=<value optimized out>, __fd=<value optimized out>)
    at /usr/include/bits/unistd.h:45
No locals.
#3  child_watch_helper_thread (__nbytes=<value optimized out>, 
    __buf=<value optimized out>, __fd=<value optimized out>) at gmain.c:3686
        b = "B\257S\0\252\302R\0\70\372\372\t\320\25\5\b\0\0\0"
        list = <value optimized out>
#4  0x0444ca4f in g_thread_create_proxy (data=0x9fafa38) at gthread.c:635
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#5  0x00528935 in start_thread (arg=0xb7d9eb70) at pthread_create.c:297
        __res = <value optimized out>
        __ignore1 = <value optimized out>
        __ignore2 = <value optimized out>
        pd = 0xb7d9eb70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {5484532, 0, 4001536, 
                -1210457032, 1635657965, 2007663490}, mask_was_saved = 0}}, 
          priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, 
              cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
#6  0x0045d94e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
No locals.

Thread 1 (Thread 0xb7f9f720 (LWP 1839)):
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
No locals.
#1  0x0041ce7b in waitpid () from /lib/libc.so.6
No locals.
#2  0x0445b27f in IA__g_spawn_sync (working_directory=0x0, argv=0xa037fc8, 
    envp=0x0, flags=G_SPAWN_SEARCH_PATH, child_setup=0, user_data=0x0, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0xbfb4bccc) at gspawn.c:386
        outpipe = -1
        errpipe = -1
        pid = 2915
        fds = {__fds_bits = {0, 168001500, -1078674392, 71561013, 167995032, 
            71477584, 0, 136, 4130022, -1, 384, 72, 136, 128, 5165952, 
            5430769, 167765160, 0, 167765600, 11844704, -1078674408, 
            -1078674396, 1, 167864480, 0, 1704488, 0, -1078674420, 
            -1078674424, 5, 168001480, 167995032}}
        ret = <value optimized out>
        outstr = 0x0
        errstr = 0x0
        failed = 0
        status = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_spawn_sync"
#3  0x0445b58c in IA__g_spawn_command_line_sync (
    command_line=0xa036a50 "bug-buddy --appname=\"gnome-settings-daemon\" --include=\"/tmp/bug-buddy-JUXZZU\" --unlink-tempfile --pid=1839", 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0xbfb4bccc) at gspawn.c:700
        retval = 0
        argv = 0xa037fc8
        __PRETTY_FUNCTION__ = "IA__g_spawn_command_line_sync"
#4  0x001a33cc in run_bug_buddy (appname=<value optimized out>, 
    pid=<value optimized out>, minidump_path=0x0) at gnome-breakpad.cc:409
        res = <value optimized out>
        warning_file = <value optimized out>
        exec_str = 0xa036a50 "bug-buddy --appname=\"gnome-settings-daemon\" --include=\"/tmp/bug-buddy-JUXZZU\" --unlink-tempfile --pid=1839"
        args_str = 0x9fdf470
        error = 0x0
#5  0x001a3dc2 in check_if_gdb () at gnome-breakpad.cc:480
        gdb = 0x9fd6448 "/usr/bin/gdb"
        pid = 1839
        mypath = 0xa02e380 "\250\325N"
        has_debug_symbols = true
        appname = 0x9f77668 "gnome-settings-daemon"
#6  bugbuddy_segv_handle () at gnome-breakpad.cc:223
        in_segv = 1
#7  <signal handler called>
No locals.
#8  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
No locals.
#9  0x003aa7c1 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = <value optimized out>
        pid = 5160948
        selftid = 1839
#10 0x003ac092 in *__GI_abort () at abort.c:88
        act = {__sigaction_handler = {sa_handler = 0xffffffff, 
            sa_sigaction = 0xffffffff}, sa_mask = {__val = {2, 167964432, 
              167765160, 0, 167765600, 3216294976, 3216294904, 3216294916, 1, 
              5, 5159680, 4144032, 4141088, 72135076, 3216294972, 167962808, 
              3216294936, 71666830, 3216294972, 1, 1748224, 3216295028, 7, 
              5165964, 71251352, 3086643888, 167962808, 4294967295, 3653572, 
              1759484, 129782388, 167962808}}, sa_flags = -1078672312, 
          sa_restorer = 0x4444ad6 <IA__g_strdup_vprintf+38>}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#11 0x0442c733 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, format=0x7be2113 "%s", args1=0xbfb4c96c "")
    at gmessages.c:506
        depth = 0
        domain = <value optimized out>
        data = 0x0
        log_func = 0x1a30d0 <bug_buddy_log_handler(const gchar *, <anonymous enum>, const gchar *, gpointer)>
        domain_fatal_mask = 5
        test_level = 6
        was_recursion = 0
        i = <value optimized out>
#12 0x0442c766 in IA__g_log (log_domain=0x7bc5274 "Gdk", 
    log_level=G_LOG_LEVEL_ERROR, format=0x7be2113 "%s") at gmessages.c:526
No locals.
#13 0x07bacf11 in gdk_x_error (display=0x9f86200, error=0xbfb4cb2c)
    at gdkmain-x11.c:641
        buf = "XI_BadDevice (invalid Device parameter)", '\0' <repeats 24 times>
#14 0x04e69e78 in xkl_process_error (dpy=0x9f86200, evt=0xbfb4cb2c)
    at xklavier_evt.c:503
        buf = '\0' <repeats 127 times>
        engine = 0xa00f6b0
        __func__ = "xkl_process_error"
#15 0x006fc389 in _XError (dpy=0x9f86200, rep=0xa035ab8) at XlibInt.c:2924
        rtn_val = <value optimized out>
        event = {type = 0, xany = {type = 0, serial = 167272960, 
            send_event = 231, display = 0xf8f, window = 3206319508}, xkey = {
            type = 0, serial = 167272960, send_event = 231, display = 0xf8f, 
            window = 3206319508, root = 3, subwindow = 167274392, 
            time = 4096, x = 3983, y = -1078670500, x_root = 0, y_root = 0, 
            state = 16777217, keycode = 3982, same_screen = 167274304}, 
          xbutton = {type = 0, serial = 167272960, send_event = 231, 
            display = 0xf8f, window = 3206319508, root = 3, 
            subwindow = 167274392, time = 4096, x = 3983, y = -1078670500, 
            x_root = 0, y_root = 0, state = 16777217, button = 3982, 
            same_screen = 167274304}, xmotion = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            window = 3206319508, root = 3, subwindow = 167274392, 
            time = 4096, x = 3983, y = -1078670500, x_root = 0, y_root = 0, 
            state = 16777217, is_hint = -114 '\216', 
            same_screen = 167274304}, xcrossing = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            window = 3206319508, root = 3, subwindow = 167274392, 
            time = 4096, x = 3983, y = -1078670500, x_root = 0, y_root = 0, 
            mode = 16777217, detail = 3982, same_screen = 167274304, 
            focus = 0, state = 3216296844}, xfocus = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            window = 3206319508, mode = 3, detail = 167274392}, xexpose = {
            type = 0, serial = 167272960, send_event = 231, display = 0xf8f, 
            window = 3206319508, x = 3, y = 167274392, width = 4096, 
            height = 3983, count = -1078670500}, xgraphicsexpose = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            drawable = 3206319508, x = 3, y = 167274392, width = 4096, 
            height = 3983, count = -1078670500, major_code = 0, 
            minor_code = 0}, xnoexpose = {type = 0, serial = 167272960, 
            send_event = 231, display = 0xf8f, drawable = 3206319508, 
            major_code = 3, minor_code = 167274392}, xvisibility = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            window = 3206319508, state = 3}, xcreatewindow = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            parent = 3206319508, window = 3, x = 167274392, y = 4096, 
            width = 3983, height = -1078670500, border_width = 0, 
            override_redirect = 0}, xdestroywindow = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            event = 3206319508, window = 3}, xunmap = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            event = 3206319508, window = 3, from_configure = 167274392}, 
          xmap = {type = 0, serial = 167272960, send_event = 231, 
            display = 0xf8f, event = 3206319508, window = 3, 
            override_redirect = 167274392}, xmaprequest = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            parent = 3206319508, window = 3}, xreparent = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            event = 3206319508, window = 3, parent = 167274392, x = 4096, 
            y = 3983, override_redirect = -1078670500}, xconfigure = {
            type = 0, serial = 167272960, send_event = 231, display = 0xf8f, 
            event = 3206319508, window = 3, x = 167274392, y = 4096, 
            width = 3983, height = -1078670500, border_width = 0, above = 0, 
            override_redirect = 16777217}, xgravity = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            event = 3206319508, window = 3, x = 167274392, y = 4096}, 
          xresizerequest = {type = 0, serial = 167272960, send_event = 231, 
            display = 0xf8f, window = 3206319508, width = 3, 
            height = 167274392}, xconfigurerequest = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            parent = 3206319508, window = 3, x = 167274392, y = 4096, 
            width = 3983, height = -1078670500, border_width = 0, above = 0, 
            detail = 16777217, value_mask = 3982}, xcirculate = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            event = 3206319508, window = 3, place = 167274392}, 
          xcirculaterequest = {type = 0, serial = 167272960, 
            send_event = 231, display = 0xf8f, parent = 3206319508, 
            window = 3, place = 167274392}, xproperty = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            window = 3206319508, atom = 3, time = 167274392, state = 4096}, 
          xselectionclear = {type = 0, serial = 167272960, send_event = 231, 
            display = 0xf8f, window = 3206319508, selection = 3, 
            time = 167274392}, xselectionrequest = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            owner = 3206319508, requestor = 3, selection = 167274392, 
            target = 4096, property = 3983, time = 3216296796}, xselection = {
            type = 0, serial = 167272960, send_event = 231, display = 0xf8f, 
            requestor = 3206319508, selection = 3, target = 167274392, 
            property = 4096, time = 3983}, xcolormap = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            window = 3206319508, colormap = 3, new = 167274392, 
            state = 4096}, xclient = {type = 0, serial = 167272960, 
            send_event = 231, display = 0xf8f, window = 3206319508, 
            message_type = 3, format = 167274392, data = {
              b = "\0\20\0\0\217\17\0\0\\Ë´\277\0\0\0\0\0\0\0", s = {4096, 0, 
                3983, 0, -13476, -16460, 0, 0, 0, 0}, l = {4096, 3983, 
                -1078670500, 0, 0}}}, xmapping = {type = 0, 
            serial = 167272960, send_event = 231, display = 0xf8f, 
            window = 3206319508, request = 3, first_keycode = 167274392, 
            count = 4096}, xerror = {type = 0, display = 0x9f86200, 
            resourceid = 231, serial = 3983, error_code = 148 '\224', 
            request_code = 141 '\215', minor_code = 28 '\34'}, xkeymap = {
            type = 0, serial = 167272960, send_event = 231, display = 0xf8f, 
            window = 3206319508, 
            key_vector = "\3\0\0\0\230g\370\t\0\20\0\0\217\17\0\0\\Ë´\277\0\0\0\0\0\0\0\0\1\0\0\1"}, pad = {0, 167272960, 231, 3983, -1088647788, 3, 
            167274392, 4096, 3983, -1078670500, 0, 0, 16777217, 3982, 
            167274304, 0, -1078670452, -1078670456, 16777216, 0, 0, 0, 0, 0}}
        async = <value optimized out>
        next = <value optimized out>
#16 0x007030ee in _XReply (dpy=0x9f86200, rep=0xbfb4cc2c, extra=0, discard=0)
    at xcb_io.c:506
        ext = 0x0
        ret_code = <value optimized out>
        error = 0x6
        c = 0xbfb4cbd8
        __PRETTY_FUNCTION__ = "_XReply"
#17 0x005cd181 in XGetDeviceButtonMapping (dpy=0x9f86200, device=0xa0365e8, 
    map=0x9fd4870 "\1\2\3\4\5\227\373\tn-errors\30", nmap=16) at XGetBMap.c:92
        status = 0
        mapping = "\230Ì´\277>\25?\0\224\323N\0\214\323N\0\216\17\0\0lÌ´\277\0\0\0\0\0\0\0\0\1\0\0\1\214\17\0\0\200\323N\0\0\0\0\0\234Ì´\277\230Ì´\277\230\323N\0\220\323N\0\374\322~\0\0b\370\t\b\0\0\0\270Ì´\277\26#p\0\0\0\0\0\200\323N\0\2\0\0\0\374\322~\0\374\322~\0\0b\370\t\bÍ´\277\320#p\0\364e\3\n\270p\3\n\b\0\0\0\1\0\0\0\214\323N\0\364\277N\0\200\323N\0 \0\0\0\bÍ´\277\376;?\0hÍ´\277\0\0\0\0\0b\370\t\317\367\341\0\0\0\0\0T1]\0\0b\370\t\b\0\0\0hÍ´\277P\366\\\0\0b\370\t\364e\3\n\b\0\0\0\216\247m\0\0\0\0\0\200\343\2\n\350e\3\n\b\0\0\0\1\3\216\17\2\0\0\0\4\363\2\n\bm\277\a\0\0\0\0Hy\277\ahÍ´\277"
        info = 0x9f96948
        rep = {repType = 0 '\0', RepType = 148 '\224', sequenceNumber = 3983, 
          length = 231, nElts = 28 '\34', pad1 = 0 '\0', pad2 = 141 '\215', 
          pad3 = 191 '\277', pad01 = 134836533, pad02 = 167722512, 
          pad03 = 136385456, pad04 = 167722512, pad05 = 148}
#18 0x00e1b43c in set_xinput_devices_left_handed (
    left_handed=<value optimized out>) at gsd-mouse-manager.c:307
        device = <value optimized out>
        device_info = 0xa02e588
        buttons = <value optimized out>
        buttons_capacity = 16
        i = 6
        n_devices = 10
        n_buttons = <value optimized out>
#19 set_left_handed (left_handed=<value optimized out>)
    at gsd-mouse-manager.c:388
        buttons = <value optimized out>
        n_buttons = <value optimized out>
        i = <value optimized out>
#20 0x00e1c140 in set_mouse_settings (manager=0x9f85768)
    at gsd-mouse-manager.c:926
        client = 0x9f9d848
#21 0x00e1c29c in devicepresence_filter (xevent=0xbfb4cfac, event=0x9fc0648, 
    data=0x9f85768) at gsd-mouse-manager.c:347
        xi_presence = <value optimized out>
#22 0x07b9fa13 in gdk_event_apply_filters (filters=<value optimized out>, 
    event=<value optimized out>, xevent=<value optimized out>)
    at gdkevents-x11.c:349
        filter = 0x0
        tmp_list = 0x0
        result = <value optimized out>
#23 gdk_event_translate (filters=<value optimized out>, 
    event=<value optimized out>, xevent=<value optimized out>)
    at gdkevents-x11.c:900
        window = <value optimized out>
        filter_window = 0x5c4d85
        window_impl = 0x5c4d85
        return_val = <value optimized out>
        xoffset = <value optimized out>
        yoffset = <value optimized out>
        screen = 0x1
        screen_x11 = 0x5c7488
        toplevel = 0x52ddf1
        xwindow = 16
        filter_xwindow = <value optimized out>
#24 0x07ba23d9 in _gdk_events_queue (display=0x9f910b0)
    at gdkevents-x11.c:2301
        node = 0xa016810
        event = 0x9fc0648
        xevent = {type = 92, xany = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, window = 0}, xkey = {
            type = 92, serial = 3966, send_event = 0, display = 0x9f86200, 
            window = 0, root = 2876160, subwindow = 2, time = 3, x = 2689, 
            y = 768, x_root = 0, y_root = 69206017, state = 1, keycode = 0, 
            same_screen = 0}, xbutton = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, window = 0, root = 2876160, 
            subwindow = 2, time = 3, x = 2689, y = 768, x_root = 0, 
            y_root = 69206017, state = 1, button = 0, same_screen = 0}, 
          xmotion = {type = 92, serial = 3966, send_event = 0, 
            display = 0x9f86200, window = 0, root = 2876160, subwindow = 2, 
            time = 3, x = 2689, y = 768, x_root = 0, y_root = 69206017, 
            state = 1, is_hint = 0 '\0', same_screen = 0}, xcrossing = {
            type = 92, serial = 3966, send_event = 0, display = 0x9f86200, 
            window = 0, root = 2876160, subwindow = 2, time = 3, x = 2689, 
            y = 768, x_root = 0, y_root = 69206017, mode = 1, detail = 0, 
            same_screen = 0, focus = 0, state = 0}, xfocus = {type = 92, 
            serial = 3966, send_event = 0, display = 0x9f86200, window = 0, 
            mode = 2876160, detail = 2}, xexpose = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, window = 0, x = 2876160, 
            y = 2, width = 3, height = 2689, count = 768}, xgraphicsexpose = {
            type = 92, serial = 3966, send_event = 0, display = 0x9f86200, 
            drawable = 0, x = 2876160, y = 2, width = 3, height = 2689, 
            count = 768, major_code = 0, minor_code = 69206017}, xnoexpose = {
            type = 92, serial = 3966, send_event = 0, display = 0x9f86200, 
            drawable = 0, major_code = 2876160, minor_code = 2}, 
          xvisibility = {type = 92, serial = 3966, send_event = 0, 
            display = 0x9f86200, window = 0, state = 2876160}, 
          xcreatewindow = {type = 92, serial = 3966, send_event = 0, 
            display = 0x9f86200, parent = 0, window = 2876160, x = 2, y = 3, 
            width = 2689, height = 768, border_width = 0, 
            override_redirect = 69206017}, xdestroywindow = {type = 92, 
            serial = 3966, send_event = 0, display = 0x9f86200, event = 0, 
            window = 2876160}, xunmap = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, event = 0, window = 2876160, 
            from_configure = 2}, xmap = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, event = 0, window = 2876160, 
            override_redirect = 2}, xmaprequest = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, parent = 0, 
            window = 2876160}, xreparent = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, event = 0, window = 2876160, 
            parent = 2, x = 3, y = 2689, override_redirect = 768}, 
          xconfigure = {type = 92, serial = 3966, send_event = 0, 
            display = 0x9f86200, event = 0, window = 2876160, x = 2, y = 3, 
            width = 2689, height = 768, border_width = 0, above = 69206017, 
            override_redirect = 1}, xgravity = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, event = 0, window = 2876160, 
            x = 2, y = 3}, xresizerequest = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, window = 0, width = 2876160, 
            height = 2}, xconfigurerequest = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, parent = 0, 
            window = 2876160, x = 2, y = 3, width = 2689, height = 768, 
            border_width = 0, above = 69206017, detail = 1, value_mask = 0}, 
          xcirculate = {type = 92, serial = 3966, send_event = 0, 
            display = 0x9f86200, event = 0, window = 2876160, place = 2}, 
          xcirculaterequest = {type = 92, serial = 3966, send_event = 0, 
            display = 0x9f86200, parent = 0, window = 2876160, place = 2}, 
          xproperty = {type = 92, serial = 3966, send_event = 0, 
            display = 0x9f86200, window = 0, atom = 2876160, time = 2, 
            state = 3}, xselectionclear = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, window = 0, 
            selection = 2876160, time = 2}, xselectionrequest = {type = 92, 
            serial = 3966, send_event = 0, display = 0x9f86200, owner = 0, 
            requestor = 2876160, selection = 2, target = 3, property = 2689, 
            time = 768}, xselection = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, requestor = 0, 
            selection = 2876160, target = 2, property = 3, time = 2689}, 
          xcolormap = {type = 92, serial = 3966, send_event = 0, 
            display = 0x9f86200, window = 0, colormap = 2876160, new = 2, 
            state = 3}, xclient = {type = 92, serial = 3966, send_event = 0, 
            display = 0x9f86200, window = 0, message_type = 2876160, 
            format = 2, data = {
              b = "\3\0\0\0\201\n\0\0\0\3\0\0\0\0\0\0\1\0 \4", s = {3, 0, 
                2689, 0, 768, 0, 0, 0, 1, 1056}, l = {3, 2689, 768, 0, 
                69206017}}}, xmapping = {type = 92, serial = 3966, 
            send_event = 0, display = 0x9f86200, window = 0, 
            request = 2876160, first_keycode = 2, count = 3}, xerror = {
            type = 92, display = 0xf7e, resourceid = 0, serial = 167272960, 
            error_code = 0 '\0', request_code = 0 '\0', minor_code = 0 '\0'}, 
          xkeymap = {type = 92, serial = 3966, send_event = 0, 
            display = 0x9f86200, window = 0, 
            key_vector = "\0\343+\0\2\0\0\0\3\0\0\0\201\n\0\0\0\3\0\0\0\0\0\0\1\0 \4\1\0\0"}, pad = {92, 3966, 0, 167272960, 0, 2876160, 2, 3, 2689, 768, 0, 
            69206017, 1, 0 <repeats 11 times>}}
        xdisplay = 0x9f86200
#25 0x07ba28ff in gdk_event_dispatch (source=0x9f99d58, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2361
        display = 0x9f910b0
        event = <value optimized out>
#26 0x04422308 in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1824
        dispatch = 0x7ba28d0 <gdk_event_dispatch>
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0x9f99d58, next = 0x0}
        source = 0x9f99d58
        current = 0x9f74d20
        i = 0
#27 IA__g_main_context_dispatch (context=<value optimized out>)
    at gmain.c:2377
No locals.
#28 0x044259e0 in g_main_context_iterate (context=0x9f99da0, 
    block=<value optimized out>, dispatch=1, self=0x9f735c8) at gmain.c:2455
        max_priority = 2147483647
        timeout = 82643282
        some_ready = 1
        nfds = <value optimized out>
        allocated_nfds = <value optimized out>
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#29 0x04425e4f in IA__g_main_loop_run (loop=0x9fd5300) at gmain.c:2663
        self = 0x9f735c8
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#30 0x0213fc09 in IA__gtk_main () at gtkmain.c:1205
        tmp_list = 0x9f9b954
        functions = 0x0
        init = 0x9f9f440
        loop = 0x9fd5300
#31 0x0804b715 in main (argc=1, argv=0xbfb4d304) at main.c:489
        manager = 0x9f85a60
        bus = 0x9f9b954
        res = <value optimized out>
        error = 0x0
        __PRETTY_FUNCTION__ = "main"
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


---- Critical and fatal warnings logged during execution ----

** Gdk **: The program 'gnome-settings-daemon' received an X Window System error.
This probably reflects a bug in the program.
The error was 'XI_BadDevice (invalid Device parameter)'.
  (Details: serial 3983 error_code 148 request_code 141 minor_code 28)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.) 


----------- .xsession-errors (17 sec old) ---------------------
warning: .dynamic section for "/usr/lib/libSM.so.6" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/lib/libresolv.so.2" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libstdc++.so.6" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
warning: .dynamic section for "/usr/lib/libgvfscommon.so.0" is not at the expected address
warning: difference appears to be caused by prelink, adjusting expectations
--------------------------------------------------

Comment 1 Bug Zapper 2010-04-28 10:17:31 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:35:34 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.